lp:~gnome3-team/anjuta/ubuntu

Created by Robert Ancell on 2011-04-10 and last modified on 2011-04-10
Get this branch:
bzr branch lp:~gnome3-team/anjuta/ubuntu
Members of GNOME3 Team can upload to this branch. Log in for directions.

Branch merges

Related bugs

Related blueprints

Branch information

Owner:
GNOME3 Team
Project:
Anjuta
Status:
Development

Recent revisions

49. By Robert Ancell on 2011-04-10

  - Use standards-version 3.9.1
  - Add Vcs-Bzr link

48. By Robert Ancell on 2011-04-10

* New upstream release
* debian/control:
  - Bump build-depends on libdevhelp-dev, libgladeui-dev,
    libgtksourceview-3.0-dev

47. By Robert Ancell on 2011-04-10

sync with latest

46. By Sebastien Bacher on 2011-01-20

releasing version 2:2.32.1.1-0ubuntu3

45. By Michael Terry on 2011-01-06

No change rebuild to pick up new libgladeui-1-11

44. By Michael Terry on 2011-01-04

* New upstream release
  - Anjuta closes when "window and button sounds" are enabled. LP: #681790
  - The "Report bugs" menu entry does not work. LP: #448126
* debian/patches/03_linking.patch:
  - Update to link gtodo plugin to libxslt
* debian/patches/05_missing_vapi.patch:
  - Dropped, fixed upstream

43. By Robert Ancell on 2010-12-07

* New upstream release
* debian/control:
  - Add build-depends on dh-autoreconf
  - Bump build-depends on libglib2.0-dev, libgda-4.0-dev, libdevhelp-2-dev,
    libvala-0.12-dev
  - Drop build-depends on libdbus-glib-1-dev, libvala-0.12-dev
  - Use standards-version 3.9.1
  - Add Vcs-Bzr link
* debian/rules:
  - Use autoreconf.mk
  - Delete some more generated vala .c files
* debian/patches/02_introspection_build.patch:
  - Fix introspection build
* debian/patches/03_linking.patch:
  - Fix various linking issues
* debian/patches/04_vala_0_12.patch:
  - Use vala 0.12
* debian/patches/05_missing_vapi.patch:
  - Add missing files from tarball
* debian/patches/21_glib_2.24.patch:
* debian/patches/22_no_gdbus.patch:
* debian/patches/23_libgda_4.0.patch:
* debian/patches/24_libdevhelp_1.0.patch:
  - Dropped, we have all these dependencies in natty
* debian/patches/90_autotools.patch:
  - Dropped, dh-autoreconf does this

42. By Robert Ancell on 2010-12-07

* Merge with Debian unstable (LP: #653565), remaining changes:
  - debian/control.in:
    + Drop libgraphviz-dev Build-Depends
    + Add back vala support
  - debian/watch:
    + Watch for development versions too
* 01_python_plugin_ldflags.patch: new patch. Fix Python plugin by
  linking it with the correct flags.
* 90_autotools.patch: regenerated accordingly.
* Upload to unstable.
* New upstream stable release.
* 90_autotools.patch: regenerated.
* New upstream release candidate.
* 21_glib_2.24.patch: revert upstream patch that introduces Glib 2.25
  requirement.
* 22_no_gdbus.patch: ditto for the one that introduces GDBus.
* 23_libgda_4.0.patch: revert the changes that require libgda 4.1.
* 24_libdevhelp_1.0.patch: revert the patch that introduces devhelp
  2.32 requirement.
* 90_autotools.patch: run autoreconf on top of that.
* Update build-dependencies.
* Drop vala and introspection support.
* Bump shlibs.
* Break anjuta-extras < 2.31.92.
* New upstream release.
* Remove b0rked GConf schema in clean target. Closes: #577719.
* debian/patches/01_javascript-plugin-ldflags.patch:
  - Add header.
* New upstream bugfix release:
  + debian/patches/01_javascript-plugin-ldflags.patch:
    - Dropped, merged upstream.
  + debian/patches/90_autoreconf.patch:
    - Dropped, not necessary anymore.
 - Transition from libvala-dev to libvala-0.10-dev. (LP: #618809)
 - Build depend on valac.
* debian/patches/libvala-0.10-dev.patch:
 - Patch configure.in and plugins/symbol-db/anjuta-tags/Makefile.am
   to look for /usr/lib/pkgconfig/vala-0.10.pc No need to refresh
   autotools as debian/rules already calls ./autogen.sh
* debian/patches/bgo-625964.patch:
 - Backport from upstream git to fix build error.
* debian/control.in:
  + Add Breaks for anjuta-extras << 2.30.0.
* debian/rules:
  + Add a correct shlibs file for libanjuta0.
* New upstream release.
  - Document anjuta -c command line option. Closes: #435155.
* debian/control.in:
  - Build-Depends:
    + Bump libglib2.0-dev (>= 2.18.0), libgtk2.0-dev (>= 2.17.10),
      libgtksourceview2.0-dev (>= 2.9.7).
    + Added libvala-dev (>= 0.7.8) and libdbus-glib-1-dev.
  - Standards-Version is 3.8.4, no changes needed.
* Switch to source format 3.0 (quilt).
  - Add debian/source/format.
  - Drop quilt from Build-Depends.
  - Remove /usr/share/cdbs/1/rules/patchsys-quilt.mk include.
* debian/control.in:
  + Add gjs/gobject-introspection to build dependencies.
  + Add valac to build dependencies and suggests.
* debian/rules:
  + Remove generated Vala C sources before starting to build
    to make sure they're regenerated at build time.
* debian/patches/01_javascript-plugin-ldflags.patch,
  debian/patches/90_autoreconf.patch:
  + Fix LDFLAGS of the JavaScript plugins to avoid the SO versioning.
* Split into anjuta, libanjuta0 and libanjuta-dev.
  - Move /usr/share/gtk-doc from anjuta-common.install to
    libanjuta-dev.install.
  - Make dh_makeshlibs for anjuta --no-act.
* New upstream release.
* Conflict/replace libgbf-1-0 (etch) and libgbf-1-1 (lenny) as well as
  the existing libgbf-1-2 conflict. Closes: #548159.
* New upstream release.
* debian/control.in:
  - Build-Depends:
    + Bump libgtk2.0-dev to 2.14.0, libgdl-1-dev to 2.27.1.
    + Remove libglade2-dev, libgnome2-dev, libgnomeui-dev,
      libgraphviz-dev, binutils-dev.
    + Add missing gconf2 for installing schemas.
  - Package anjuta-dev, according to libanjuta-1.0.pc:
    + Remove shlibs:Depends, libgnomeui and libglade2.
    + Add libgconf2-dev and libgtk2.0-dev.
  - Add perl:Depends to anjuta-common due to perl files in the package.
* debian/rules:
  - Valgrind plugin is no more included, remove check for kfreebsd.
  - Do not install INSTALL.gz and COPYING.gz.
  - The libfile-manager.so symlink has been fixed upstream.
* debian/patches/02_mips_language_c_defined.patch:
  - Remove, applied upstream.
* debian/patches/01_crash_loading_projects.patch:
  - Added to fix crash when loading/creating projects.
* debian/patches/10_terminal_x_crash.patch:
  - Added to fix X crash when running programs in terminal.
* Remove workaround for #544877, it was fixed.
* New upstream release.
* Minor dependency updates.
* 01_crash_loading_projects.patch, 10_terminal_x_crash.patch:
  dropped, merged upstream.
* debian/patches/02_mips_language_c_defined.patch: New patch, rename
  LANGUAGE_* to ANJUTA_LANGUAGE_* because LANGUAGE_C is a built-in in
  mips(el) and alpha, causing a FTBFS. Closes: #538285.
* debian/patches/01_gda_optional.patch,
  debian/patches/90_relibtoolize.patch:
  + Removed, libgda4 is now in the archive.
* Build depend on libgda-4.0-dev to build the symbol browser plugin.
  Closes: #535240.
* debian/patches/99_ltmain_as-needed.patch,
  debian/rules:
  + Build with -Wl,--as-needed to avoid uselessly linking against libssl.
* Standards-Version is 3.8.3, no changes needed.
* Temporarily build depend on libsasl2-dev, libneon27-gnutls-dev and
  libserf-0-0-dev to workaround #544877.
* debian/rules,
  debian/anjuta.manpages:
  - Don't manually install anjuta_import.sh.1, as there's no bug in
    debhelper. The problem is that we need to pass --language=C to
    dh_installman, as otherwise it will think the language is "sh".
* debian/rules:
  - Disable scrollkeeper during the build. Taken from Ubuntu.
* debian/anjuta-common.install:
  - Install the GConf schemas.
* Conflict/Replace libgbf-1-2. It's been integrated into Anjuta.
* debian/anjuta_import.sh.1: Removed, the script is not shipped
  upstream anymore.
* Install the documentation from the new location.
* anjuta-dbg is in the debug section.
* Add libglib2.0-doc and libgtk2.0-doc to b-d-i to ensure proper
  xrefs.
* Remove scrollkeeper dependency.
* New upstream release.
* Update build-dependencies.
* 01_gda_optional.patch: new patch. Make the symboldb plugin optional
  since libgda4 is not in Debian yet.
* 90_relibtoolize.patch: relibtoolize accordingly.
* Remove chrpath calls, rely on relibtoolizing instead.
* Don’t install libanjuta.la.
* Correctly install OMF files.
* Install the catalog for glade3.

41. By Robert Ancell on 2010-08-31

update package version

40. By Robert Ancell on 2010-08-30

* New upstream release
* debian/control:
  - Bump build-depends on libglib2.0-dev, libgtk2.0-dev, libgda-4.0-dev,
    libvala-dev
  - Drop build-depends on liborbit2-dev
  - Add build-depends on gobject-introspection, libgirepository1.0-dev

Branch metadata

Branch format:
Branch format 7
Repository format:
Bazaar repository format 2a (needs bzr 1.16 or later)
This branch contains Public information 
Everyone can see this information.

Subscribers